class loadingView
{
	constructor() 
	{
		window.isTestAndroid = false;

		this.sOS = conchConfig.getOS();

		if (this.sOS == "Conch-ios")
		{
			this.bridge = PlatformClass.createClass("JSBridge");
		}
		else if (this.sOS == "Conch-android")
		{
			this.bridge = PlatformClass.createClass("demo.JSBridge");
		}

		this.onJavaMessage();
    }

    set loadingAutoClose(value) 
    {
        this._loadingAutoClose = value;
    }

	get loadingAutoClose()
	{
		return this._loadingAutoClose;
	}

	set showTextInfo(value) 
	{
        this._showTextInfo = value;
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("showTextInfo:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("showTextInfo",value);
			}
		}
    }

	get showTextInfo()
	{
		return this._showTextInfo;
	}

	bgColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("bgColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("bgColor",value);
			}
		}
	}

	setFontColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setFontColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setFontColor",value);
			}
		}
	}

	setTips(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setTips:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setTips",value);
			}
		}
	}

	loading(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("loading:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("loading",value);
			}
		}
	}

	hideLoadingView()
	{
        if(this.bridge)
        {
            this.bridge.call("hideSplash");
        }
	}
	
	toJava(tag = -1, value = "")
	{
		console.log("-------------------toJava : tag = " + tag + " , value = [ " + value + " ]");

	    if(this.bridge)
		{
		    let obj = { "tag":tag,  "value":value };

			this.bridge.call("fromLaya",JSON.stringify(obj));
		}
	}
	
	toJavaBackValue(tag = -1, value = "")
	{
		console.log("-------------------toJavaBackValue : tag = " + tag + " , value = [ " + value + " ]");

	    if(this.bridge)
		{
		    let obj = { "tag":tag,  "value":value };

		    let getValue = this.bridge.call("fromLayaBackValue", JSON.stringify(obj));
		    let getObj = JSON.parse(getValue);

		    return getObj.value;
		}
	}
	
	toJavaBackFunction(tag = -1, value = "", callBack = null)
	{
		console.log("-------------------toJavaBackFunction : tag = " + tag + " , value = [ " + value + " ]");

		if(this.bridge)
		{
			let obj = { "tag":tag,  "value":value };

            this.bridge.callWithBack(function(value)
            {
                var obj = JSON.parse(value);

                typeof (callBack) === "function" && callBack( obj.value );
            },"fromLayaBackFunction",JSON.stringify(obj));
		}
	}

	onJavaMessage()
	{
	    this.bridge.callWithBack(function(value)
        {
            var obj = JSON.parse(value);

			let messageTag = obj.tag;			
			let messageInfo = obj.value;
			
			if(messageTag == window.MESSAGE_CODE_APP_PAUSE)//App退到后台
			{
				if(messageInfo == "1")
				{
					window.isIgnoreResume = true;
					window.onSoundPause();
				}
				else
				{
					window.platform && window.platform.onAppPause();
				}
			}
			else if(messageTag == window.MESSAGE_CODE_APP_RESUME)//App返回前台
			{
				if(messageInfo == "1")
				{
					window.isIgnoreResume = false;
					window.onSoundRecover();
				}
				else
				{
					window.platform && window.platform.onAppResume();
				}
			}
           	else if(messageTag == window.MESSAGE_CODE_LOGIN_XM_RESULT)//小米账号登录结果
			{
				let objValue = JSON.parse(messageInfo);
				
				let isSuccess = objValue.isSuccess;
				let userUid = objValue.userUid;
				let userNikename = objValue.userNikename;
				let userSession = objValue.userSession;

				window.sceLoad && window.sceLoad.onXiaoMiLoginResult(isSuccess, userUid, userNikename, userSession);
			}
 			else if(messageTag == window.MESSAGE_CODE_SHOW_AD_REWARD_RESULT)//激励视频广告观看结果
			{
				window.isIgnoreResume = false;

				if(messageInfo == "0")
				{
					Laya.stage.event("onSetAward", [false]);
				}
				else if(messageInfo == "1")
				{
					Laya.stage.event("onSetAward", [true]);
				}
				else
				{
					Laya.stage.event("onSetAward", [false,true]);
				}
			}
			else if(messageTag == window.MESSAGE_CODE_SHOW_AD_MASK)//显示原生模板广告
			{
				if(window.panelAd)
				{
					window.panelAd.visible = true;

					if(window.btnDelayTime == 0)
					{
						window.btnCloseAd.alpha = 1;
					}
					else
					{
						window.btnCloseAd.alpha = 0;
						let timeLine = new Laya.TimeLine();
						timeLine.to(window.btnCloseAd, { alpha: 1 }, 1000, null, window.btnDelayTime);
						timeLine.play(0, false);
					}
				}				
			}
			else if(messageTag == window.MESSAGE_CODE_HIDE_AD_MASK)//隐藏原生模板广告
			{
				if(window.panelAd)
				{
					window.panelAd.visible = false;
				}
			}
			else if(messageTag == window.MESSAGE_CODE_NATIVE_AD_DATA)//原生自渲染广告数据
			{
				let objValue = JSON.parse(messageInfo);

                window.nativeAdIsLoad = true;

                window.nativeAdType = objValue.adType;

                window.nativeAdImgIcon = objValue.adImgIcon;
                window.nativeAdImgInfo = objValue.adImgInfo;

                window.nativeAdStrTitle = objValue.adStrTitle;
                window.nativeAdStrInfo = objValue.adStrInfo;
				
                window.nativeAdStrBtn = objValue.adStrBtn;
			}
			else if(messageTag == window.MESSAGE_CODE_SHOW_NATIVE_INTERS_AD)//显示原生自渲染插屏广告
			{
                Laya.stage.event("onNativeIntersAd", ["show"]);
			}
			else if(messageTag == window.MESSAGE_CODE_HIDE_NATIVE_INTERS_AD)//隐藏原生自渲染插屏广告
			{
                Laya.stage.event("onNativeIntersAd", ["hide"]);
			}
			else if(messageTag == window.MESSAGE_CODE_HIDE_PANEL_TXT)//隐藏提示文字
			{
                window.sceLoad && window.sceLoad.setHidePanelTxt();
			}
			else
			{
			    console.log("=========================未知指令：Tag = " + messageTag + " ， value = " + messageInfo);
			}
        },"fromJavaMessage","");
	}
}

window.loadingView = new loadingView();

if(window.loadingView)
{
    //true代表当动画播放完毕，自动进入游戏。false为开发者手动控制
    window.loadingView.loadingAutoClose = false;

    window.loadingView.bgColor("#000000");//设置背景颜色

    window.loadingView.setFontColor("#000000");//设置字体颜色
    window.loadingView.setTips([" "," "," "]);//设置tips数组，会随机出现
}

window.onLayaInitError = function(e)
{
	console.log("onLayaInitError error=" + e);
	alert("加载游戏失败，可能由于您的网络不稳定，请退出重进");
}